import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class Indent01 {
	private static class Handler01 extends DefaultHandler {
		private int indent = -1;
		private boolean incomp = false;
		private String text = null;
		private static final int MAX_COL_SIZE = 70;

		public void startElement(String u, String l, String q, Attributes as){
			int colsize = 0;

			if(incomp){
				System.out.print(">");
				if(text != null){
					indent(indent + 1);
					System.out.print(text);
					text = null;
				}
				incomp = false;
			}
			indent++;
			indent(indent);
			System.out.print("<");
			System.out.print(q);
			colsize += q.length();
			for(int i = 0; i < as.getLength(); i++){
				colsize += as.getQName(i).length() + toEntity(as.getValue(i)).length() + 4;
			}
			if(colsize > MAX_COL_SIZE){
				for(int i = 0; i < as.getLength(); i++){
					indent(indent + 1);
					System.out.print(as.getQName(i) + "=\"" + toEntity(as.getValue(i)) + "\"");
				}
				indent(indent);
			}else{
				for(int i = 0; i < as.getLength(); i++){
					System.out.print(" ");
					System.out.print(as.getQName(i) + "=\"" + toEntity(as.getValue(i)) + "\"");
				}
			}
			incomp = true;
		}

		public void endElement(String u, String l, String q){
			if(incomp){
				if(text == null){
					System.out.print("/>");
				}else{
					System.out.print(">");
					System.out.print(text);
					text = null;
					System.out.print("</" + q + ">");
				}
			}else{
				if(text != null){
					indent(indent + 1);
					System.out.print(text);
					text = null;
				}
				indent(indent);
				System.out.print("</" + q + ">");
			}
			incomp = false;
			indent--;
		}

		public void characters(char[] ch, int start, int length){
			if(text != null){
				text += toEntity(new String(ch, start, length));
			}else{
				text = toEntity(new String(ch, start, length));
			}
			if(text.length() == 0){
				text = null;
			}
		}

		private static void indent(int indent){
			System.out.println();
			for(int i = 0; i < indent; i++){System.out.print("\t");}
		}

		private String toEntity(char c){
			switch(c){
			case '<': return "&lt;";
			case '>': return "&gt;";
			case '&': return "&amp;";
			case '\'': return "&apos;";
			case '"': return "&quot;";
			case '\t': return "";
			case '\n': return "";
			default: return "" + c;
			}
		}

		private String toEntity(String s){
			StringBuffer sb = new StringBuffer();
			for(int i = 0; i < s.length(); i++){
				sb.append(toEntity(s.charAt(i)));
			}
			return sb.toString();
		}
	}

	public static void main(String[] args) {
		try {
			SAXParserFactory spf = SAXParserFactory.newInstance();
			SAXParser sp = spf.newSAXParser();
			String encode = System.getProperty("file.encoding");
			System.out.print("<?xml version=\"1.0\" encoding=\"" + encode + "\"?>");
			sp.parse(System.in, new Handler01());
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}
