import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class Unindent01 {
	private static String encode;

	private static class Handler01 extends DefaultHandler {
		boolean incomp = false;

		public void startElement(String u, String l, String q, Attributes as){
			if(incomp){
				print(">");
				incomp = false;
			}
			print("<" + q);
			for(int i = 0; i < as.getLength(); i++){
				print(" " + as.getQName(i) + "=\"" + toEntity(as.getValue(i)) + "\"");
			}
			incomp = true;
		}

		public void endElement(String u, String l, String q){
			if(incomp){
				print("/>");
				incomp = false;
			}else{
				print("</" + q + ">");
			}
		}

		public void characters(char[] ch, int start, int length){
			if(incomp){
				print(">");
				incomp = false;
			}
			for(int i = 0; i < length; i++){
				print(toEntity(ch[start + i]));
			}
		}

		private String toEntity(char c){
			switch(c){
			case '<': return "&lt;";
			case '>': return "&gt;";
			case '&': return "&lt;";
			case '\'': return "&apos;";
			case '"': return "&quot;";
			case '\t': return "";
			case '\n': return "";
			default: return "" + c;
			}
		}

		private String toEntity(String s){
			StringBuffer sb = new StringBuffer();
			for(int i = 0; i < s.length(); i++){
				sb.append(toEntity(s.charAt(i)));
			}
			return sb.toString();
		}

		private void print(String str){
			try{
				System.out.write(str.getBytes(encode));
			}catch(Exception ex){
				ex.printStackTrace();
			}
		}
	}

	public static void main(String[] args) {
		try {
			SAXParserFactory spf = SAXParserFactory.newInstance();
			SAXParser sp = spf.newSAXParser();
			if(args.length == 0){
				encode = System.getProperty("file.encoding");
			}else{
				encode = args[0];
			}
			System.out.println("<?xml version=\"1.0\" encoding=\"" + encode + "\"?>");
			sp.parse(System.in, new Handler01());
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}
